Package org.jbpm.process.instance.context

## Class AbstractContextInstance

- java.lang.Object
- - org.jbpm.process.instance.context.AbstractContextInstance

- All Implemented Interfaces:
    `Serializable`, `ContextInstance`
  Direct Known Subclasses:
    `ExceptionScopeInstance`, `ExclusiveGroupInstance`, `SwimlaneContextInstance`, `VariableScopeInstance`

      public abstract class AbstractContextInstance
      extends Object
      implements ContextInstance, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractContextInstance()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Context` | `getContext()` |
    `long` | `getContextId()` |
    `ContextInstanceContainer` | `getContextInstanceContainer()` |
    `ProcessInstance` | `getProcessInstance()` |
    `void` | `setContextId​(long contextId)` |
    `void` | `setContextInstanceContainer​(ContextInstanceContainer contextInstanceContainer)` |
    `void` | `setProcessInstance​(ProcessInstance processInstance)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.process.instance.ContextInstance

      `getContextType`

- - ### Constructor Detail

    - #### AbstractContextInstance

          public AbstractContextInstance()

  - ### Method Detail

    - #### getContextId

          public long getContextId()

      Specified by:
        `getContextId` in interface `ContextInstance`

    - #### setContextId

          public void setContextId​(long contextId)

    - #### getContextInstanceContainer

          public ContextInstanceContainer getContextInstanceContainer()

      Specified by:
        `getContextInstanceContainer` in interface `ContextInstance`

    - #### setContextInstanceContainer

          public void setContextInstanceContainer​(ContextInstanceContainer contextInstanceContainer)

    - #### getContext

          public Context getContext()

      Specified by:
        `getContext` in interface `ContextInstance`

    - #### getProcessInstance

          public ProcessInstance getProcessInstance()

      Specified by:
        `getProcessInstance` in interface `ContextInstance`

    - #### setProcessInstance

          public void setProcessInstance​(ProcessInstance processInstance)